## python-deprecation-alias 0.3.1

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
domdf-python-tools[testing]>=2.0.1
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-deprecation-alias (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only reupload.

 -- Bastian Germann <bage@debian.org>  Sun, 22 Jan 2023 22:59:42 +0100

python-deprecation-alias (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1026835)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 24 Dec 2022 11:18:26 -0300

=== debian/control ===
Source: python-deprecation-alias
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-deprecation,
               python3-packaging,
               pybuild-plugin-pyproject,
               python3-coverage <!nocheck>,
               python3-importlib-metadata <!nocheck>,
               python3-iniconfig <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-timeout <!nocheck>
Standards-Version: 4.6.1
Homepage: https://github.com/domdfcoding/deprecation-alias
Vcs-Git: https://salsa.debian.org/python-team/packages/python-deprecation-alias.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-deprecation-alias

Package: python3-deprecation-alias
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Wrapper for deprecated alias support
 Package that works around 'deprecation' providing support for deprecated
 aliases.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME = deprecation-alias

%:
	dh $@ --with python3  --buildsystem=pybuild

#testing needs modules 'coincidence, pytest-randomly
# and domdf-python-tools' which are not in Debian
override_dh_auto_test:

## python-deprecation-alias 0.3.2

=== debian/changelog ===
python-deprecation-alias (0.3.2-3) unstable; urgency=medium

  * debian/control:
     - Added dependencies for running tests
     - Enabled test execution
  * debian/control: Added Testsuite: autopkgtest-pkg-pybuild

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 13:46:48 -0300

python-deprecation-alias (0.3.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 02 Aug 2023 06:17:23 -0300

python-deprecation-alias (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * debian/control: - Bumped Standards-Version 4.6.2
  * debian/copyright: updated year to 2023

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jul 2023 16:15:15 -0300

=== debian/control ===
Source: python-deprecation-alias
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coincidence,
               python3-coverage,
               python3-deprecation,
               python3-domdf-python-tools,
               python3-importlib-metadata,
               python3-iniconfig,
               python3-packaging,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-datadir,
               python3-pytest-regressions,
               python3-pytest-timeout,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/deprecation-alias
Vcs-Git: https://salsa.debian.org/python-team/packages/python-deprecation-alias.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-deprecation-alias
Testsuite: autopkgtest-pkg-pybuild

Package: python3-deprecation-alias
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Wrapper for deprecated alias support
 Package that works around 'deprecation' providing support for deprecated
 aliases.

## python-deprecation-alias 0.3.3

=== debian/changelog ===
python-deprecation-alias (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 24 May 2024 20:22:55 -0300

## python-deprecation-alias 0.4.0

=== requirements.txt ===
deprecation>=2.1.0
packaging>=20.4

=== debian/changelog ===
python-deprecation-alias (0.4.0-2) unstable; urgency=medium

  * Team Upload
  * Remove python3-importlib-metadata build dep

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 14:31:12 +0200

python-deprecation-alias (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * debian/control: Added 'Build-Depends' requires for build-system
  * debian/control: Bumped Standards-Version to 4.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 03 Mar 2025 08:04:14 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                python3-coverage,
                python3-deprecation,
                python3-domdf-python-tools,
-               python3-importlib-metadata,
+               python3-hatch-requirements-txt,
+               python3-hatchling,
                python3-iniconfig,
                python3-packaging,
                python3-pytest,
@@ -21,7 +22,7 @@
                python3-pytest-regressions,
                python3-pytest-timeout,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/domdfcoding/deprecation-alias
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-deprecation-alias.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-deprecation-alias

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME = deprecation-alias

%:
	dh $@ --with python3  --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/domdfcoding/deprecation-alias/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
